## kernel-image-2.2.10-powerpc-apus 2.2.10-11

=== debian/changelog ===
kernel-image-2.2.10-powerpc-apus (2.2.10-11) frozen unstable; urgency=low

  * added the affs patch from Ken Tyler. Fixes the affs corruption bug.
  * now build loop in the kernel, as without that, boot floppies will not
    work.

 -- Sven LUTHER <luther@debian.org>  Tue,  2 May 2000 15:42:09 +0200

kernel-image-2.2.10-powerpc-apus (2.2.10-10) frozen unstable; urgency=low

  * changed config file to solve module dependency problems.

 -- Sven LUTHER <luther@debian.org>  Fri, 10 Mar 2000 13:12:03 +0100

kernel-image-2.2.10-powerpc-apus (2.2.10-9) frozen unstable; urgency=low

  * The bootstrap patch did not work, fixed it.
  * Checked config options to be able to build boot-floppies.

 -- Sven LUTHER <luther@debian.org>  Sun, 20 Feb 2000 14:05:51 +0100

kernel-image-2.2.10-powerpc-apus (2.2.10-8) frozen unstable; urgency=low

  * Fixed the latest bootstrap patch (at least i hope so).

 -- Sven LUTHER <luther@debian.org>  Sat, 19 Feb 2000 17:40:38 +0100

kernel-image-2.2.10-powerpc-apus (2.2.10-7) frozen unstable; urgency=low

  * applied the latest bootstrap patch.

 -- Sven LUTHER <luther@debian.org>  Fri,  4 Feb 2000 20:29:51 +0100

kernel-image-2.2.10-powerpc-apus (2.2.10-6) frozen unstable; urgency=low

  * Some clean up done.

 -- Sven LUTHER <luther@debian.org>  Tue, 25 Jan 2000 01:12:25 +0100

kernel-image-2.2.10-powerpc-apus (2.2.10-5) frozen unstable; urgency=low

  * Initial kernel-image release for powerpc apus (the package, not the image)

 -- Sven LUTHER <luther@debian.org>  Mon, 24 Jan 2000 22:49:39 +0100

 
Local variables:
mode: debian-changelog
add-log-mailing-address: "luther@debian.org"
End:
