=== debian/control ===
Source: kernel-image-2.2.10-powerpc-apus
Section: devel
Priority: optional
Maintainer:  Sven LUTHER <luther@debian.org>
Standards-Version: 3.1.0.0
Build-Depends: bzip2, kernel-source-2.2.10

Package: kernel-headers-2.2.10-apus
Architecture: powerpc
Section: devel
Priority: optional
Provides: kernel-headers
Description: Header files related to a specific Linux kernel.
 This package provides kernel header files, for sites that want the latest
 kernel headers. Please read /usr/share/doc/kernel-headers-2.2.10/debian.README.gz
 for details

Package: kernel-image-2.2.10-apus
Architecture: powerpc
Section: base
Priority: optional
Provides: kernel-image
Suggests: fdutils, kernel-doc-2.2.10
Description: Linux kernel binary image.
 This package contains the Linux kernel image, the System.map file,
 and the modules built by the packager.  It also contains scripts that
 try to ensure that the system is not left in a unbootable state
 after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.
