## kernel-image-2.2.10-powerpc-apus 2.2.10-13

=== debian/changelog ===
kernel-image-2.2.10-powerpc-apus (2.2.10-13) unstable; urgency=low

  * New maintainer
  * update to the latest APUS CVS (upstream)
  * use only a single patch (changes in the APUS CVS relative to the
    native tree) anymore
  * remove bzip2 from Build-Depends
  * fix lintian errors; update standards version to 3.2.1.0

 -- Michel Daenzer <daenzer@debian.org>  Wed, 24 Jan 2001 00:40:24 +0100

kernel-image-2.2.10-powerpc-apus (2.2.10-12) potato unstable; urgency=low

  * new built for potato release 2.
  * upgraded to the latest apus patch.

 -- Sven LUTHER <luther@debian.org>  Thu, 23 Nov 2000 16:28:34 +0100
