=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kernel-image-2.2.10-powerpc-apus
 Section: devel
 Priority: optional
-Maintainer:  Sven LUTHER <luther@debian.org>
-Standards-Version: 3.1.0.0
-Build-Depends: bzip2, kernel-source-2.2.10
+Maintainer:  Michel Daenzer <daenzer@debian.org>
+Standards-Version: 3.2.1.0
+Build-Depends: kernel-source-2.2.10
 
 Package: kernel-headers-2.2.10-apus
 Architecture: powerpc
@@ -12,8 +12,9 @@
 Provides: kernel-headers
 Description: Header files related to a specific Linux kernel.
  This package provides kernel header files, for sites that want the latest
- kernel headers. Please read /usr/share/doc/kernel-headers-2.2.10/debian.README.gz
- for details
+ kernel headers.
+ Please read /usr/share/doc/kernel-headers-2.2.10/debian.README.gz for
+ details.
 
 Package: kernel-image-2.2.10-apus
 Architecture: powerpc
