=== debian/rules ===
--- 
+++ 
@@ -35,49 +35,13 @@
 		tar zxf /usr/src/kernel-source-$(Version).tar.gz ;	\
 		echo "done."; \
 	fi 
-	@echo "Applying the linux patch : ... "
+	@echo "Applying the Linux/APUS patch : ... "
 	@if [ -r linux-$(Version).diff.gz ] ; then \
-                zcat linux-$(Version).diff.gz | patch -d kernel-source-$(Version) -l -s -p1 &>linux-$(Version).log; \
+                zcat linux-$(Version).diff.gz | patch -d kernel-source-$(Version) -l -s -p0 &>linux-$(Version).log; \
                 echo "Removing empty files after patching" ; \
                 find . -type f -size 0 -exec rm {} \; -print; \
 		echo "done."; \
         fi
-	@echo "Applying the apus patch : ... "
-	@if [ -r apus-$(Version).diff.gz ] ; then \
-                zcat apus-$(Version).diff.gz | patch -d kernel-source-$(Version) -l -s -p0 &>apus-$(Version).log; \
-                echo "Removing empty files after patching" ; \
-                find . -type f -size 0 -exec rm {} \; -print; \
-		echo "done."; \
-        fi
-	@echo "Applying the pm2fb patch : ... "
-	@if [ -r pm2fb-$(Version).diff.gz ] ; then \
-                zcat pm2fb-$(Version).diff.gz | patch -d kernel-source-$(Version) -l -s -p0 &>pm2fb-$(Version).log; \
-                echo "Removing empty files after patching" ; \
-                find . -type f -size 0 -exec rm {} \; -print; \
-		echo "done."; \
-        fi
-	@echo "Applying the bootstrap patch : ... "
-	@if [ -r bootstrap-$(Version).diff.gz ] ; then \
-                zcat bootstrap-$(Version).diff.gz | patch -d kernel-source-$(Version) -l -s -p0 &>bootstrap-$(Version).log; \
-                echo "Removing empty files after patching" ; \
-                find . -type f -size 0 -exec rm {} \; -print; \
-		echo "done."; \
-        fi
-	@echo "Applying the vmapus patch : ... "
-	@if [ -r vmapus-$(Version).diff.gz ] ; then \
-                zcat vmapus-$(Version).diff.gz | patch -d kernel-source-$(Version) -l -s -p0 &>vmapus-$(Version).log; \
-                echo "Removing empty files after patching" ; \
-                find . -type f -size 0 -exec rm {} \; -print; \
-		echo "done."; \
-        fi
-	@echo "Applying the affs patch : ... "
-	@if [ -r affs-$(Version).diff.gz ] ; then \
-                zcat affs-$(Version).diff.gz | patch -d kernel-source-$(Version) -l -s -p0 &>affs-$(Version).log; \
-                echo "Removing empty files after patching" ; \
-                find . -type f -size 0 -exec rm {} \; -print; \
-		echo "done."; \
-        fi
-	touch build-stamp
 	touch build-stamp
 
 #
@@ -167,9 +131,40 @@
 	chmod 755 debian/$(KHEAD)/DEBIAN/post*
 	cp -rfd $(KDIR)/include/* \
 		debian/$(KHEAD)/usr/src/$(KHEAD)/include
-	cp addons/LinkPolicy debian/changelog debian/copyright \
+	cp addons/LinkPolicy debian/copyright \
 		debian/$(KHEAD)/usr/share/doc/$(KHEAD)
+	gzip -cv9 debian/changelog > debian/$(KHEAD)/usr/share/doc/$(KHEAD)/changelog.Debian.gz
 
 	for subarch in $(Subarchs) ; do                                            \
 		subarch=$$(basename $$subarch) ;                                   \
 		chmod 644 debian/$(KIMG)-$$subarch/boot/*;                         \
+		mkdir debian/$(KIMG)-$$subarch/DEBIAN ;                            \
+		sed -e 's/=V/$(Version)/g' debian/image.postinst > debian/$(KIMG)-$$subarch/DEBIAN/postinst ; \
+		sed -e 's/=V/$(Version)/g' debian/image.postrm > debian/$(KIMG)-$$subarch/DEBIAN/postrm ; \
+		sed -e 's/=V/$(Version)/g' debian/image.preinst > debian/$(KIMG)-$$subarch/DEBIAN/preinst ; \
+		sed -e 's/=V/$(Version)/g' debian/image.prerm > debian/$(KIMG)-$$subarch/DEBIAN/prerm ; \
+		chmod 755 debian/$(KIMG)-$$subarch/DEBIAN/{pre*,post*} ;           \
+		cp debian/copyright                                                \
+			debian/$(KIMG)-$$subarch/usr/share/doc/$(KIMG)-$$subarch ; \
+		gzip -cv9 debian/changelog >                                       \
+			debian/$(KIMG)-$$subarch/usr/share/doc/$(KIMG)-$$subarch/changelog.Debian.gz ; \
+		chown -R root.root debian/$(KIMG)-$$subarch ;                      \
+		dpkg-gencontrol -p$(KIMG)-$$subarch -Pdebian/$(KIMG)-$$subarch ;   \
+		dpkg --build debian/$(KIMG)-$$subarch .. ;                         \
+	done
+	dpkg-gencontrol -p$(KHEAD) -Pdebian/$(KHEAD)
+	dpkg --build debian/$(KHEAD) ..
+	dpkg-genchanges > ../$(KIMG)-powerpc-apus_$(PKG_VER)_powerpc.changes
+
+
+define checkdir
+	test -f debian/rules
+endef
+
+checkroot:
+	$(checkdir)
+	test root = "`whoami`"
+
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary unpack
