## kernel-image-2.2.10-powerpc-apus 2.2.10-13woody1

=== debian/changelog ===
kernel-image-2.2.10-powerpc-apus (2.2.10-13woody1) stable-security; urgency=low

  * Rebuilt against 2.2.10-2 kernel-source to import security fix :
    - Applied patch extracted from upstream 2.2.26 to fix local privilege
      escalation discovered by Paul Starzetz [mm/mremap.c, CAN-2004-0077]

 -- Sven Luther <luther@debian.org>  Wed,  3 Mar 2004 12:47:28 +0000
