=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	$(checkdir)
 	@echo -n "Uncompressing the kernel source tarball : ... "
 	@if [ -r /usr/src/kernel-source-$(Version).tar.bz2 ] ; then	\
-		tar Ixf /usr/src/kernel-source-$(Version).tar.bz2 ;	\
+		tar jxf /usr/src/kernel-source-$(Version).tar.bz2 ;	\
 		echo "done."; \
 	elif [ -r /usr/src/kernel-source-$(Version).tar.gz ] ; then	\
 		tar zxf /usr/src/kernel-source-$(Version).tar.gz ;	\
